Bug 815717 - QEMU guest with SPICE server aborts on i686 host
QEMU guest with SPICE server aborts on i686 host
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spice (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerd Hoffmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 06:54 EDT by Daniel Berrange
Modified: 2012-07-08 16:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-08 16:52:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2012-04-24 06:54:35 EDT
Description of problem:
The QEMU/KVM in Fedora builds spice on i686, but any attempt to use it aborts QEMU

   LC_ALL=C \
   PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin \
   QEMU_AUDIO_DRV=spice \
   /usr/libexec/qemu-kvm -S -M pc-0.15 -enable-kvm \
   -m 800 -smp 1,sockets=1,cores=1,threads=1 \
   -name en_windows_server_2003_enterprise \
   -uuid b57359e7-6656-0200-079a-ca8fd409ca70 \
   -nodefconfig -nodefaults \
   -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/en_windows_server_2003_enterprise.monitor,server,nowait \
   -mon chardev=charmonitor,id=monitor,mode=control \
   -rtc base=localtime -no-shutdown \
   -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 \
   -drive file=/mnt/VirtualMachines/en_windows_server_2003_enterprise.qcow2,if=none,id=drive-ide0-0-0,format=raw \
   -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 \
   -drive file=/mnt/Download/distros/windows/win2k3/ga/en_windows_server_2003_enterprise.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw \
   -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 \
   -netdev tap,fd=21,id=hostnet0 \
   -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:61:29:e9,bus=pci.0,addr=0x3 \
   -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 \
   -device usb-tablet,id=input0 -spice port=5901,addr=127.0.0.1,disable-ticketing \
   -vga qxl -global qxl-vga.vram_size=67108864 \
   -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x4
  char device redirected to /dev/pts/2
  do_spice_init: starting 0.10.1
  spice_server_add_interface: SPICE_INTERFACE_MIGRATION
  spice_server_add_interface: SPICE_INTERFACE_KEYBOARD
  spice_server_add_interface: SPICE_INTERFACE_MOUSE
  spice_server_add_interface: SPICE_INTERFACE_QXL
  red_worker_main: begin
  display_channel_create: create display channel
  cursor_channel_create: create cursor channel
  id 0, group 0, virt start 0, virt end ffffffff, generation 0, delta 0
  get_virt: panic: slot_id too big, addr=7d732008
  2012-04-24 10:50:30.999+0000: shutting down


Version-Release number of selected component (if applicable):
spice-server-0.10.1-1.fc17.i686
qemu-1.0-11.fc17.i686


How reproducible:
Always

Steps to Reproduce:
1. Run a QEMU guest on i386 host with SPICE
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2012-04-24 10:48:48 EDT
Updating to qemu-kvm-1.0-17.fc17.i686 updates-testing and using Alon's latest build spice-server-0.10.1-3.fc17.i686  solves the abort() for me.
Comment 2 Fedora Update System 2012-04-29 04:00:25 EDT
spice-0.10.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spice-0.10.1-3.fc17
Comment 3 Fedora Update System 2012-04-30 14:49:38 EDT
Package spice-0.10.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spice-0.10.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6979/spice-0.10.1-3.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-14 04:31:33 EDT
spice-0.10.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spice-0.10.1-5.fc17
Comment 5 Fedora Update System 2012-07-08 16:52:48 EDT
spice-0.10.1-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.